v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/depots/{depotId}/inventory/kits
Retrieves a list of inventories based on the filters passed in the request. Rights: ORSBlindedDepotGet, returns list of inventories at the depot for the passed filters.
Request
Path Parameters
-
depotId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical depot
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
blindedLotId: string(uuid)
Blinded lot ID for search
-
inventoryStatusId: array[integer]
List of inventory status IDs.
-
kitNumberMax: number
Maximum kit number for search
-
kitNumberMin: number
Minimum kit number for search
-
limit: integer(int32)
Maximum number of records to display per page.Default Value:
100 -
offset: integer(int32)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Default Value:
0 -
quarantineId: string
Quarantine ID for search
-
searchByKitNumber: string
Kit Number search string.
-
searchBySeqNumber: number
Sequence number search string.
-
sequenceNumberMax: number
Maximum sequence number for search
-
sequenceNumberMin: number
Minimum sequence number for search
-
shipmentNumber: string
Shipment number for search
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : DepotKitDetailsResponse v1.0
Type:
objectTitle:
DepotKitDetailsResponse v1.0Contains depot kit details.
Show Source
-
blindedLotsExistsInStudy: boolean
Title:
Blinded Lots Exist In StudyIndicates whether blinded lots exist in the study.Example:true -
count: integer
(int64)
Total count of result
-
distinctInventoryStatusIds: array
Inventory Status IDs
Title:
Inventory Status IDsInventory status IDs. -
hasMore: boolean
Attribute describes if result set has more recordsExample:
true -
kits: array
Kits
Title:
KitsDepot user kit reconciliation details. -
limit: integer
(int64)
Maximum number of records to display per page.
-
links: array
links
-
offset: integer
(int64)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
400 -
totalResults: integer
(int64)
Total number of entities in response
Nested Schema : Inventory Status IDs
Type:
arrayTitle:
Inventory Status IDsInventory status IDs.
Allowed Values:
Show Source
[
"1",
"2",
"3",
"4",
"5",
"6",
"7",
"8",
"9",
"10",
"11",
"12",
"13",
"14",
"15",
"16",
"17",
"18",
"19",
"20"
]Example:
5,4Nested Schema : Kits
Type:
arrayTitle:
KitsDepot user kit reconciliation details.
Show Source
-
Array of:
object DepotUserKitReconciliationTO v1.0
Title:
DepotUserKitReconciliationTO v1.0Depot user kit reconciliation details.
Nested Schema : DepotUserKitReconciliationTO v1.0
Type:
objectTitle:
DepotUserKitReconciliationTO v1.0Depot user kit reconciliation details.
Show Source
-
barCode: string
Barcode.Example:
BarCode -
blindedLotExpirationDate: string
(date-time)
Blinded lot expiration date.
-
blockNumber: string
Title:
Block NumberBlock number. -
distributionSetting: string
Allowed Values:
[ "BLINDED", "UNBLINDED" ]Distribution setting -
id: string
Inventory ID.Example:
B1B8327AFAA6412287106192AB5984EF -
inventoryStatus: string
Allowed Values:
[ "Available", " Damaged", " Destroyed", " Dispensed", " Expired", " Not in Use", " Misallocated", " Missing", " In Transit", " Quarantined", " Pre-quarantined", " Pending Destruction", " Lost by Subject", " Temporarily Unavailable", " Damaged by Subject", " New", " Not Dispensed to Subject", " Returned to Site" ]Name of the inventory status.Example:New, Damaged -
inventoryStatusId: number
Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:
5 -
kitDescription: string
Kit description.
-
kitNumberUTF: string
Title:
Kit Number UTFKit number with UTF-8 support.Example:5 -
sequenceNumber: number
Sequence number.
-
unitsPerKit: number
Units per kit.
Nested Schema : RelLink
Type:
objectObject contains link detail.
Show Source
-
href: string
Realtive URL
-
rel: string
link
400 Response
For invalid kit range format
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
For invalid study ID OR study still in design phase OR invalid depot ID OR invalid subject ID
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object